{ pkgs, ... }: {
  boot = {
    kernel.sysctl."net.ipv4.ip_forward" = true;
    loader.systemd-boot.enable = true;
    loader.efi.canTouchEfiVariables = true;
  };

  environment.systemPackages = with pkgs; [ git pciutils vim wget ];

  networking = {
    hostName = "eve-psr-nix0";
    firewall = {
      allowedTCPPorts = [ 22 80 443 ];
      allowedUDPPorts = [ 22 80 443 53 ];
    };
  };

  programs.ssh.knownHosts = {
    selbeiskami = {
      hostNames = [ "192.168.0.57" ];
      publicKey = "192.168.0.57 ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBiTyWzAu7V2Jkk4rqEjBLu+lAhhkLTO8W/PGb8HkeqQ";
    };
    matricx = {
      hostNames = [ "192.168.0.130" "matri.cx" ];
      publicKey = "matri.cx ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIMyaPYK0HcKAjrD1g+FPqPEU9FJ0I6+iKYmQlWKE0zHp";
    };
  };

  time.timeZone = "America/Chicago";
}
